curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]\
-X GET https://api.razorpay.com/v1/orders/order_DaaS6LOUAASb7Y/payments \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
String orderId = "order_DaaS6LOUAASb7Y";
Order order = razorpay.orders.fetchPayments(orderId);
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.order.payments(orderId)
$api = new Api($key_id, $secret);
$api->order->fetch($orderId)->payments();
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
orderId = "order_DaaS6LOUAASb7Y"
Razorpay::Order.fetch("order_JCRhAvzvZQPkwT").payments
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.orders.fetchPayments(orderId)
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
body, err := client.Order.Payments("<orderId>", nil, nil)
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
string orderId = "order_Z6t7VFTb9xHeOs";
List<Payment> order = client.Order.Fetch(orderId).Payments();
razorpay orders payments ord_ABC123
{
"entity":"collection",
"count":2,
"items":[
{
"id":"pay_N8FUmetkCE2hZP",
"entity":"payment",
"amount":100,
"currency":"INR",
"status":"failed",
"order_id":"order_N8FRN5zTm5S3wx",
"invoice_id":null,
"international":false,
"method":"upi",
"amount_refunded":0,
"refund_status":null,
"captured":false,
"description":null,
"card_id":null,
"bank":null,
"wallet":null,
"vpa":"failure@razorpay",
"email":"void@razorpay.com",
"contact":"+919999999999",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey… decaf."
},
"fee":null,
"tax":null,
"error_code":"BAD_REQUEST_ERROR",
"error_description":"Payment was unsuccessful due to a temporary issue. If amount got deducted, it will be refunded within 5-7 working days.",
"error_source":"gateway",
"error_step":"payment_response",
"error_reason":"payment_failed",
"acquirer_data":{
"rrn":null
},
"created_at":1701688684,
"upi":{
"vpa":"failure@razorpay"
}
},
{
"id":"pay_N8FVRD1DzYzBh1",
"entity":"payment",
"amount":100,
"currency":"INR",
"status":"captured",
"order_id":"order_N8FRN5zTm5S3wx",
"invoice_id":null,
"international":false,
"method":"upi",
"amount_refunded":0,
"refund_status":null,
"captured":true,
"description":null,
"card_id":null,
"bank":null,
"wallet":null,
"vpa":"success@razorpay",
"email":"void@razorpay.com",
"contact":"+919999999999",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey… decaf."
},
"fee":2,
"tax":0,
"error_code":null,
"error_description":null,
"error_source":null,
"error_step":null,
"error_reason":null,
"acquirer_data":{
"rrn":"267567962619",
"upi_transaction_id":"F5B66C7C07CA6FEAD77E956DC2FC7ABE"
},
"created_at":1701688721,
"upi":{
"vpa":"success@razorpay"
}
}
]
}
Orders
Fetch Payments for an Order
Fetch payments for an Order using Razorpay Orders API.
GET
/
v1
/
orders
/
:id
/
payments
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]\
-X GET https://api.razorpay.com/v1/orders/order_DaaS6LOUAASb7Y/payments \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
String orderId = "order_DaaS6LOUAASb7Y";
Order order = razorpay.orders.fetchPayments(orderId);
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.order.payments(orderId)
$api = new Api($key_id, $secret);
$api->order->fetch($orderId)->payments();
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
orderId = "order_DaaS6LOUAASb7Y"
Razorpay::Order.fetch("order_JCRhAvzvZQPkwT").payments
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.orders.fetchPayments(orderId)
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
body, err := client.Order.Payments("<orderId>", nil, nil)
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
string orderId = "order_Z6t7VFTb9xHeOs";
List<Payment> order = client.Order.Fetch(orderId).Payments();
razorpay orders payments ord_ABC123
{
"entity":"collection",
"count":2,
"items":[
{
"id":"pay_N8FUmetkCE2hZP",
"entity":"payment",
"amount":100,
"currency":"INR",
"status":"failed",
"order_id":"order_N8FRN5zTm5S3wx",
"invoice_id":null,
"international":false,
"method":"upi",
"amount_refunded":0,
"refund_status":null,
"captured":false,
"description":null,
"card_id":null,
"bank":null,
"wallet":null,
"vpa":"failure@razorpay",
"email":"void@razorpay.com",
"contact":"+919999999999",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey… decaf."
},
"fee":null,
"tax":null,
"error_code":"BAD_REQUEST_ERROR",
"error_description":"Payment was unsuccessful due to a temporary issue. If amount got deducted, it will be refunded within 5-7 working days.",
"error_source":"gateway",
"error_step":"payment_response",
"error_reason":"payment_failed",
"acquirer_data":{
"rrn":null
},
"created_at":1701688684,
"upi":{
"vpa":"failure@razorpay"
}
},
{
"id":"pay_N8FVRD1DzYzBh1",
"entity":"payment",
"amount":100,
"currency":"INR",
"status":"captured",
"order_id":"order_N8FRN5zTm5S3wx",
"invoice_id":null,
"international":false,
"method":"upi",
"amount_refunded":0,
"refund_status":null,
"captured":true,
"description":null,
"card_id":null,
"bank":null,
"wallet":null,
"vpa":"success@razorpay",
"email":"void@razorpay.com",
"contact":"+919999999999",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey… decaf."
},
"fee":2,
"tax":0,
"error_code":null,
"error_description":null,
"error_source":null,
"error_step":null,
"error_reason":null,
"acquirer_data":{
"rrn":"267567962619",
"upi_transaction_id":"F5B66C7C07CA6FEAD77E956DC2FC7ABE"
},
"created_at":1701688721,
"upi":{
"vpa":"success@razorpay"
}
}
]
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to fetch all the payments made for an order. The response contains all the authorised or failed payments for that order.
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]\
-X GET https://api.razorpay.com/v1/orders/order_DaaS6LOUAASb7Y/payments \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
String orderId = "order_DaaS6LOUAASb7Y";
Order order = razorpay.orders.fetchPayments(orderId);
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.order.payments(orderId)
$api = new Api($key_id, $secret);
$api->order->fetch($orderId)->payments();
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
orderId = "order_DaaS6LOUAASb7Y"
Razorpay::Order.fetch("order_JCRhAvzvZQPkwT").payments
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.orders.fetchPayments(orderId)
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
body, err := client.Order.Payments("<orderId>", nil, nil)
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
string orderId = "order_Z6t7VFTb9xHeOs";
List<Payment> order = client.Order.Fetch(orderId).Payments();
razorpay orders payments ord_ABC123
{
"entity":"collection",
"count":2,
"items":[
{
"id":"pay_N8FUmetkCE2hZP",
"entity":"payment",
"amount":100,
"currency":"INR",
"status":"failed",
"order_id":"order_N8FRN5zTm5S3wx",
"invoice_id":null,
"international":false,
"method":"upi",
"amount_refunded":0,
"refund_status":null,
"captured":false,
"description":null,
"card_id":null,
"bank":null,
"wallet":null,
"vpa":"failure@razorpay",
"email":"void@razorpay.com",
"contact":"+919999999999",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey… decaf."
},
"fee":null,
"tax":null,
"error_code":"BAD_REQUEST_ERROR",
"error_description":"Payment was unsuccessful due to a temporary issue. If amount got deducted, it will be refunded within 5-7 working days.",
"error_source":"gateway",
"error_step":"payment_response",
"error_reason":"payment_failed",
"acquirer_data":{
"rrn":null
},
"created_at":1701688684,
"upi":{
"vpa":"failure@razorpay"
}
},
{
"id":"pay_N8FVRD1DzYzBh1",
"entity":"payment",
"amount":100,
"currency":"INR",
"status":"captured",
"order_id":"order_N8FRN5zTm5S3wx",
"invoice_id":null,
"international":false,
"method":"upi",
"amount_refunded":0,
"refund_status":null,
"captured":true,
"description":null,
"card_id":null,
"bank":null,
"wallet":null,
"vpa":"success@razorpay",
"email":"void@razorpay.com",
"contact":"+919999999999",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey… decaf."
},
"fee":2,
"tax":0,
"error_code":null,
"error_description":null,
"error_source":null,
"error_step":null,
"error_reason":null,
"acquirer_data":{
"rrn":"267567962619",
"upi_transaction_id":"F5B66C7C07CA6FEAD77E956DC2FC7ABE"
},
"created_at":1701688721,
"upi":{
"vpa":"success@razorpay"
}
}
]
}
Path Parameters
Response Parameters
The payment method used for making the payment. Possible values:
cardnetbankingwalletupiemi
Order id, if provided. Know more about Orders.
Indicates whether the payment is done via an international card or a domestic one. Possible values:
true: Payment made using international card.false: Payment not made using international card.
The amount refunded in currency subunits. For example, if
amount_refunded = 100, it is equal to .Indicates if the payment is captured. Possible values:
true: Payment has been captured.false: Payment has not been captured.
Description of the error that occurred during payment. For example,
Payment processing failed because of incorrect OTP.The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example,
payment_authentication.A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
The 4-character bank code which the customer’s account is associated with. For example,
UTIB for Axis Bank.The payment method used for making the payment. Possible values:
bank_accountcredit_cardwallet
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.Last modified on October 8, 2026
Was this page helpful?